Subject: Summary: Energy minimization

From: amor san juan <[email-masked]>
Date: Mon, 22 Jul 2002 18:08:10 -0700 (PDT)

My question posted:

-----Original Message-----
From: Computational Chemistry List
[mailto:[email-masked]]On
Behalf Of amor san juan
Sent: Sunday, July 21, 2002 4:09 AM
To: [email-masked]
Subject: CCL:Energy minimization

Hello,

What are the good minimization algorithms for  up to
150max atoms? My goal to this most stable energy
conformer is to use it in docking experiment.

I tried MM3 & MMFF94 algorithms built in a specific
commercial software. Results showed that none of the
minimized structures in synchronized with ben.pdbq
distributed file in AutoDock.

Im calling the attention of Autodock users, have you
encountered this problem? Kindly give me a hint. I
would also appreciate if someone would be considerate
to give me good reading materials about energy
minimization.

Thanks,
Amor

************************************

Hi amor san juan,
I think I have suggestion for your energy minimization
problem. With my 
experience with MM3, more than 90-100 atoms will give
you a realiable 
structures but you really need to be very careful with
the energies. I 
don't know which version of the MM programs you have,
but in the 
original Allinger's program it is an option called
"Stochastic Search" where 
you ramdomly move the atoms in the space and then
minimize the energy. 
As a result, you can do conformational search all
around the energy 
surphase avoiding the problem of the local minima. I
have been using this 
option for molecules with 80-100 atoms at works very
well.
Once again let me tell you that the energy values of
this programs are 
very questionable when it is applied to more than 100
atoms. 
If you are interested in the energies I rather will
use something like 
semi-empirical calculation (AM1, PM3, etc).
I hope this is will help you.
Jorge Gonzalez
-- 
Jorge Gonzalez Outeirino
Complex Carbohydrate Research Center
University of Georgia
220 Riverbend Road
30602 Athens
Georgia
USA
e-mail: [email-masked]

Amor, EM will never synchronize with a crystal
structure! Its just a
theoretical adjustment of bonds and angles, and is
used for refining 
models,
and region with High B-factor.

Quick summary of EM:

Steepest descent; refining, requires youto be in or
close to a local
minimum.

Conjugate Gradient: "rough" structure alternations, to
rock a model
hopefully in a better local minimum.

Extensive reading :

Leach A. (2001). Molecular Modelling: Principles and
applications. 2nd 
Ed.
Pearson Education Limited.

Good luck!

Sergio

Good reading material, well Leach "Molecular
Modelling" and Jenssen 
"Introduction to Computational Chemistry" are quite
good. 

Mr James J Robinson MRSC 
Molecular Modeller
Pharmacy and Pharmacology Dept.
University of Bath
Claverton Down
Bath, Somerset, UK.
BA2 7AY.
[email-masked]
http://www.bath.ac.uk
tel +44(0) 1225 384723

MM3 and MMFF94 are not minimization algorithms but
force fields,
i.e. they yield the energy of a given system.

Your commercial program used a minimization algorithm
(e.g.
steepest descent, conjugate gradients, BFGS, EF) to
minimize
the energy (force field function) with respect to the
coordinates.

Thus, an answer to your question is twofold:
1, energy function
You can use a force field (cheap); the rather small
size of your
system also would allow you to choose semiempirical MO
methods, 
in order to take care of polarization effects.

2, minimization
Because your system is that small, you should use a
quasi-Newton 
method,
like BFGS or EigenvectorFollwing. One could also think
of molecular
dynamics or Monte Carlo (simulated annealing) - but
this depends 
strongly 
on the resources you have and the your intentions.

Regards,

Anselm

__________________________________________________
Do You Yahoo!?
Yahoo! Health - Feel better, live better
http://health.yahoo.com